#include "main.h"
#include "mqtt.h"
#include "mgos_config.h"
#include "rpc.h"

enum mgos_app_init_result mgos_app_init(void) {
  mgos_gpio_set_mode(GREEN_LED_GPIO, MGOS_GPIO_MODE_OUTPUT);
  mgos_gpio_write(GREEN_LED_GPIO, 0);

  channel_init(mgos_sys_config_get_app_config());
  mqtt_init();
  rpc_init();
  return MGOS_APP_INIT_SUCCESS;
}
